Bug 1301536 - Golang 1.6 [NEEDINFO]
Golang 1.6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Čajka
Simon Clark
ChangeAcceptedF24, SystemWideChange
:
Depends On: 1292640 1304591 1304701
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 05:21 EST by Jan Kurik
Modified: 2016-09-29 07:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:24:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon.richard.clark: needinfo? (jcajka)


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-01-25 05:21:47 EST
This is a tracking bug for Change: Golang 1.6
For more details, see: https://fedoraproject.org//wiki/Changes/golang1.6

Rebase of Golang package to upcoming version 1.6 in Fedora 24, including rebuild of all dependent packages.
Comment 1 Jan Kurik 2016-02-24 09:25:58 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Jakub Čajka 2016-02-25 03:23:45 EST
Golang 1.6 is in Fedora 24/Rawhide and all packages were re-build using it.

There were some issue encountered(BZ1304591), but they were fixed with help of upstream and addressed in Fedora by the rebuild from 2016-Feb-22, https://fedorahosted.org/rel-eng/ticket/6351.
Comment 3 Jan Kurik 2016-04-20 11:01:29 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 4 Jakub Čajka 2016-04-25 05:45:45 EDT
Sorry, forgot to change to on_qa.
Comment 5 Simon Clark 2016-05-02 17:07:36 EDT
I have added a short release notes entry to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=4a35611e2d1d134eb856612f5e0375d7bcf7adaa

Please would you take a look at the draft and let me know if anything should be added or changed?

Note You need to log in before you can comment on or make changes to this bug.